umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
UMLPackageWidget Class Reference

`#include <umlpackagewidget.h>`

Inheritance diagram for UMLPackageWidget:

## Public Member Functions
| UMLPackageWidget (UMLObject *o, QWidget *parent=0)
| ~UMLPackageWidget ()
void | addToLayout (QGridLayout *layout, int row)
void | apply ()

## Protected Attributes
QLabel * | m_label
KComboBox * | m_editField
UMLObject * | m_object

## Constructor & Destructor Documentation

## ◆ UMLPackageWidget()

UMLPackageWidget::UMLPackageWidget | ( | UMLObject * | o,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~UMLPackageWidget()

UMLPackageWidget::~UMLPackageWidget | ( |  | ) |

## Member Function Documentation

## ◆ addToLayout()

void UMLPackageWidget::addToLayout | ( | QGridLayout * | layout,
|  | int | row )

Add this widget to a given grid layout. Umbrello dialogs places labels in column 0 and the editable field in column 1.

Parameters

  layout | The layout to which the widget should be added
  row | The row in the grid layout where the widget should be placed

## ◆ apply()

void UMLPackageWidget::apply | ( |  | ) |

Apply changes to the related UMLObject.

## Member Data Documentation

## ◆ m_editField

KComboBox* UMLPackageWidget::m_editField
| protected

## ◆ m_label

QLabel* UMLPackageWidget::m_label
| protected

## ◆ m_object

UMLObject* UMLPackageWidget::m_object
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/umlpackagewidget.h
- umbrello/dialogs/widgets/umlpackagewidget.cpp